import Vue from 'vue'
import VueRouter, { RouteConfig } from 'vue-router'
const Editer = () => import('../views/editer.vue')
const Drafts = () => import('../views/drafts.vue')
Vue.use(VueRouter)

const routes: Array<RouteConfig> = [
    {
        path: '/',
        // redirect: '/editer'
        name: 'systemMap',
        component: () => import('../views/systemMap.vue'),
    },
    {
        path: '/editer',
        name: 'editer',
        component: Editer,
    },
    {
        path: '/drafts',
        name: 'drafts',
        component: Drafts,
    },
]
// 使用histroy模式
const router = new VueRouter({
    mode: 'history',
    base: process.env.BASE_URL,
    routes,
})

export default router
